$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.27.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.27.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '0F85DDCC8F038FCCC6D9A10671FCEF1B86DD9BFA9CF68AE6BF73BDF9974CAA52'
  checksumType = 'sha256'
  checksum64 = '0F85DDCC8F038FCCC6D9A10671FCEF1B86DD9BFA9CF68AE6BF73BDF9974CAA52'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.2.27-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
